Package ru.nilsoft.tm

# Class TMCommand.reg_reasons

java.lang.Object
ru.nilsoft.tm.TMCommand.reg_reasons

Enclosing class:
  `TMCommand`

public static final class TMCommand.reg_reasons extends Object
Коды причины регистрации/перерегистрации ККТ (смотри `TMCommand.CmdRegistration_1_05(java.lang.String, java.lang.String, byte, java.lang.String, short, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`,`TMCommand.CmdRegistration_1_1(java.lang.String, java.lang.String, byte, java.lang.String, short, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int)`,`TMCommand.CmdRegistration_1_2(java.lang.String, java.lang.String, byte, java.lang.String, int, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, java.lang.String, java.lang.String)`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `FN`
  Замена ФН.
  `static final byte`
  `INFO`
  Изменение сведений пользователя.
  `static final byte`
  `OFD`
  Смена ОФД.
  `static final byte`
  `REGISTRATION`
  Первичная регистрация.
  `static final byte`
  `SETTINGS`
  Смена настроек ККТ.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `reg_reasons()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REGISTRATION

    public static final byte REGISTRATION
    Первичная регистрация.
    See Also:
      - Constant Field Values

  - ### FN

    public static final byte FN
    Замена ФН.
    See Also:
      - Constant Field Values

  - ### OFD

    public static final byte OFD
    Смена ОФД.
    See Also:
      - Constant Field Values

  - ### INFO

    public static final byte INFO
    Изменение сведений пользователя.
    See Also:
      - Constant Field Values

  - ### SETTINGS

    public static final byte SETTINGS
    Смена настроек ККТ.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### reg_reasons

    public reg_reasons()